package servlet.examples.forward;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;


public class SearchLogic extends HttpServlet {


	private static final long serialVersionUID = 1L;

public void doGet(HttpServletRequest req, HttpServletResponse res)
                               throws ServletException, IOException {
    // Nem allitjuk be a "content type" -ot

    // Lekerjuk a keresendo stringet
    String search = req.getParameter("search");

    // meghatarozza a stringet tartalmazo URL-ket
    String[] results = getResults(search);

    // beteszi az eredmenyt a request kontextusba
    req.setAttribute("results", results);

    //a megjelenito oldalhoz forward-ol
    String display = "/SearchView.do";
    RequestDispatcher dispatcher = req.getRequestDispatcher(display);
    dispatcher.forward(req, res);
  }

  // Itt tobb, ertelmes informaciot kene visszateritni, de a peldaban nem ez a lenyeges resz...
  String[] getResults(String search) {
    return new String[] { "http://www.abc.com",
                          "http://www.xyz.com" };
  }
}
