package servlet.examples.counter;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;


public class InitCounter extends HttpServlet {

	private static final long serialVersionUID = 1L;

	private int count;

	//az init metodus meghivodik, amikor a kontener letrehozza a servletet
    public void init() throws ServletException {
    String initial = getInitParameter("initial");
    try {
      count = Integer.parseInt(initial);
    }
    catch (NumberFormatException e) {
      count = 0;
    }
  }

  public void doGet(HttpServletRequest req, HttpServletResponse res)
                           throws ServletException, IOException {
    res.setContentType("text/plain");
    PrintWriter out = res.getWriter();
    count++;
    out.println("A servlet betöltése óta (egy esetleges kezdeti értéktől kiindulva)");
    out.println(" ezt a servlet-et");
    out.println(count + " alkalommal hívták meg.");
  }
}
